/*   IBM Performance Inspector
 *   Copyright (c) International Business Machines Corp., 2003 - 2007
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#define QTRACE_REC_BRANCH         0x01
#define QTRACE_REC_UNTAKEN_BRANCH 0x02
#define QTRACE_REC_LOAD_STORE     0x04
#define QTRACE_REC_LENGTH         0x08
#define QTRACE_REC_DATA_VSID      0x10
#define QTRACE_ExceededMaximumBranchDepth      0x80 /* cwc */

#include <stdint.h>

typedef struct _qtrace_rec {
	unsigned int instruction;
	unsigned char node;
	unsigned char termination_node;
	uint64_t data_ea;
	uint64_t data_vsid; /* cwc verify length */
	unsigned int length;
	uint64_t instruction_ea;

	unsigned int flags;
} qtrace_rec;
